# $Revision: 1.16 $, $Date: 2010/04/03 17:25:27 $
Summary:	rarpd - reverse address resolution protocol daemon
Summary(pl.UTF-8):	rarpd - demon do protokołu odwrotnego odwzorowywania adresów
Name:		rarpd
Version:	1.1
Release:	5
Epoch:		1
License:	GPL-like (?)
Group:		Networking/Daemons
Source0:	ftp://ftp.dementia.org/pub/net-tools/%{name}-%{version}.tar.gz
# Source0-md5:	04e2ca849e758d0b88c8281775ec3b58
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-libnet1.patch
BuildRequires:	libnet1-devel
BuildRequires:	libpcap-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Reverse Address Resolution Protocol daemon.

%description -l pl.UTF-8
Demon do protokołu odwrotnego odwzorowywania adresów.

%prep
%setup -q
%patch0 -p1

%build
%configure2_13

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	SBINDIR=%{_sbindir}

install -d $RPM_BUILD_ROOT{%{_mandir}/man8,%{_sysconfdir}/{sysconfig,rc.d/init.d}}
install rarpd.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/rarpd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rarpd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rarpd
%service rarpd restart "rarpd daemon"

%preun
if [ "$1" = "0" ];then
	%service rarpd stop
	/sbin/chkconfig --del rarpd
fi

%files
%defattr(644,root,root,755)
%doc README TODO
%{_mandir}/man8/rarpd*
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rarpd
%attr(755,root,root) %{_sbindir}/rarpd
%attr(754,root,root) /etc/rc.d/init.d/rarpd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rarpd.spec,v $
Revision 1.16  2010/04/03 17:25:27  glen
- release 5

Revision 1.15  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.13  2006/05/21 22:10:37  glen
- rel 4

Revision 1.12  2006/03/13 22:13:30  glen
- use %service

Revision 1.11  2005/12/13 15:14:18  glen
- adapterized (sorted %verify attrs)

Revision 1.10  2004/12/15 12:17:17  radek
- minor License unifications

Revision 1.9  2003/08/12 15:21:42  qboosh
- more specific Requires

Revision 1.8  2003/07/03 21:14:43  areq
- BuildRequires:        libnet1-devel
- add libnet1.patch

Revision 1.7  2003/05/28 13:01:37  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:26:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/12/07 14:33:51  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.4  2002/08/28 02:16:40  blues
- release 2 - new doc

Revision 1.3  2002/03/22 22:44:48  michuz
- fixed file rights

Revision 1.2  2002/03/22 22:35:41  michuz
- added init and sysconfig file

Revision 1.1  2002/03/22 01:04:50  michuz
- initial release (not ready yet)
  TODO: check license, write rarpd.sysconfig & rarpd.init
